Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.forms
Interface ValidatedValues

public interface ValidatedValues

The `ValidatedValues` class allows a programmer who writes an `InputProcessor` to report the status, value and message of processed form fields back to the JSP. This class shile still valid and still used is typically not used directly the `ValidatedForm` class is much easier to work with.

Field Summary
`static java.lang.String` | `COUNTRY` the request attribute "COUNTRY" is needed to create the Locale to pass in to the ValidationExceptionTextFormatter constructor.
`static java.lang.String` | `LANGUAGE` the request attribute "LANGUAGE" is needed to create the Locale to pass in to the ValidationExceptionTextFormatter constructor.
`static java.lang.String` | `VARIANT` the request attribute "VARIANT" is needed to create the Locale to pass in to the ValidationExceptionTextFormatter constructor.

Method Summary
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()` Get a reference to the HttpServletRequest
`int` | `getInvalidFieldCount()` Return the number of HTML form fields that did not validate.
`java.lang.String` | `getMessage(java.lang.String name)` Get the message for the field
`java.lang.String` | `getStatus(java.lang.String name)` Get the status of the field
`java.lang.Object` | `getValue(java.lang.String name)` Get the value of the field
`java.lang.String` | `getValueAsString(java.lang.String name)` Get the value of the field as a string, this method will return an empty string as opposed to null
`void` | `incInvalidFieldCount()` Increment the number of HTML form fields that did not validate.
`void` | `setInvalidFieldCount(int count)` Set the number of HTML form fields that did not validate.
`void` | `setMessage(java.lang.String name, java.lang.String value)` Set the message for the field
`void` | `setStatus(java.lang.String name, java.lang.String value)` Set the status of the field
`void` | `setValue(java.lang.String name, java.lang.Object value)` Set the value of the field

Field Detail

### LANGUAGE

    public static final java.lang.String LANGUAGE

  the request attribute "LANGUAGE" is needed to create the Locale to pass in to the ValidationExceptionTextFormatter constructor.

### COUNTRY

    public static final java.lang.String COUNTRY

  the request attribute "COUNTRY" is needed to create the Locale to pass in to the ValidationExceptionTextFormatter constructor.

### VARIANT

    public static final java.lang.String VARIANT

  the request attribute "VARIANT" is needed to create the Locale to pass in to the ValidationExceptionTextFormatter constructor.

Method Detail

### getStatus

    public java.lang.String getStatus(java.lang.String name)

  Get the status of the field

  Parameters:
    `name` - name of the field
  Returns:
    result Status of the field.

### setStatus

    public void setStatus(java.lang.String name,
                          java.lang.String value)

  Set the status of the field

  Parameters:
    `name` - name of the field
    `value` - status of the field

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Get the value of the field

  Parameters:
    `name` - name of the field
  Returns:
    result value of the field.

### getValueAsString

    public java.lang.String getValueAsString(java.lang.String name)

  Get the value of the field as a string, this method will return an empty string as opposed to null

  Parameters:
    `name` - name of the field
  Returns:
    result value of the field.

### setValue

    public void setValue(java.lang.String name,
                         java.lang.Object value)

  Set the value of the field

  Parameters:
    `name` - name of the field
    `value` - value of the field

### getMessage

    public java.lang.String getMessage(java.lang.String name)

  Get the message for the field

  Parameters:
    `name` - name of the field
  Returns:
    result message associated with status of the field.

### setMessage

    public void setMessage(java.lang.String name,
                           java.lang.String value)

  Set the message for the field

  Parameters:
    `name` - name of the field
    `value` - message of the field

### getInvalidFieldCount

    public int getInvalidFieldCount()

  Return the number of HTML form fields that did not validate.

### setInvalidFieldCount

    public void setInvalidFieldCount(int count)

  Set the number of HTML form fields that did not validate.

### incInvalidFieldCount

    public void incInvalidFieldCount()

  Increment the number of HTML form fields that did not validate.

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Get a reference to the HttpServletRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved